%define haveorbit 1
%define pyorbit 2.0.1
%define pygtk 2.10.3
%define reverse python-gnome

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	The sources for the PyGNOME Python extension module
Name:		gnome-python
Version:	2.28.1
Release:	%mkrel 5
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
URL:		http://download.gnome.org/sources/%{name}/
License:	LGPLv2+
Group:		Development/GNOME and GTK+
BuildRequires:	python-gobject-devel >= 2.17.0
BuildRequires:	pygtk2.0-devel >= %pygtk
BuildRequires:	python-devel >= 2.2
BuildRequires:	libgtk+2-devel >= 2.0.0
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomecanvas2-devel
BuildRequires:	libbonoboui2-devel
BuildRequires:	libGConf2-devel >= 2.11.1
BuildRequires:	avahi-glib-devel avahi-client-devel
BuildRequires:	libgcrypt-devel
Requires:	pygtk2.0 >= %pygtk
%if %{haveorbit}
Requires:	%name-bonobo
BuildRequires:	pyorbit-devel >= %pyorbit
%endif
Provides:	 %reverse = %version-%release

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package canvas
Version:	%{version}
Summary:	Python bindings for the GNOME Canvas
Group:		Development/GNOME and GTK+
Requires:	libgnomecanvas2 >= 2.0.0
Requires:	pygtk2.0 >= %pygtk
Requires:	%name = %version-%release
Provides:	 %reverse-canvas = %version-%release

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package bonobo
Version:	%{version}
Summary:	Python bindings for interacting with bonobo
Group:		Development/GNOME and GTK+
Requires:	%name-canvas = %version-%release
Requires:	pyorbit >= %pyorbit
Requires:	libbonoboui2 >= 2.0.0
Provides:	%reverse-bonobo = %version-%release

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Version:	%{version}
Summary:	Python bindings for interacting with GConf
Group:		Development/GNOME and GTK+
Requires:	GConf2 >= 1.1.10
Provides:	%reverse-gconf = %version-%release

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gnomevfs
Version:	%{version}
Summary:	Python bindings for interacting with gnome-vfs
Group:		Development/GNOME and GTK+
Requires:	gnome-vfs2 >= 2.0.2
Provides:	 %reverse-gnomevfs = %version-%release

%description gnomevfs
This module contains a wrapper that allows the use of gnome-vfs via python.

%package devel
Summary:	Development files of %name
Group:		Development/Python
Requires:	%name = %version
Conflicts:	%name < 2.21.0
Provides:	%reverse-devel = %version-%release

%description devel
Development files of the Gnome Python wrappers.

%prep
%setup -q -n gnome-python-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILDROOT
%makeinstall_std
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%defattr(755,root,root,755)
%dir %py_platsitedir/gtk-2.0/gnome/
%py_platsitedir/gtk-2.0/gnome/__init__.*
%py_platsitedir/gtk-2.0/gnome/_gnome.so
%if %{haveorbit}
%py_platsitedir/gtk-2.0/gnome/ui.so
%endif

%if %{haveorbit}
%files canvas
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnome/canvas.*
%py_platsitedir/gtk-2.0/gnomecanvas.so
%defattr(644,root,root,755)
%doc examples/canvas
%endif


%if %{haveorbit}
%files bonobo
%defattr(755,root,root,755)
%dir %py_platsitedir/gtk-2.0/bonobo/
%py_platsitedir/gtk-2.0/bonobo/__init__.*
%py_platsitedir/gtk-2.0/bonobo/*.so
%defattr(644,root,root,755)
%doc examples/bonobo
%endif

%files gconf
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gconf*
%defattr(644,root,root,755)
%doc examples/gconf

%files gnomevfs
%defattr(755,root,root,755)
%py_platsitedir/gtk-2.0/gnome/vfs*
%py_platsitedir/gtk-2.0/gnomevfs
%{_libdir}/gnome-vfs-2.0/modules/libpythonmethod.so
%defattr(644,root,root,755)
%doc examples/vfs

%files devel
%{_includedir}/gnome-python-2.0/pygnomevfs.h
%{_includedir}/gnome-python-2.0/pygnomevfsbonobo.h
%doc %_datadir/gtk-doc/html/pygnomevfs
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%dir %{_datadir}/pygtk/2.0/defs
%{_datadir}/pygtk/2.0/defs/*.defs
%{_datadir}/pygtk/2.0/argtypes




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.28.1-5.mga3
+ Revision: 352189
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 ovitters <ovitters> 2.28.1-4.mga2
+ Revision: 209360
- clean spec

* Sun Jun 19 2011 dmorgan <dmorgan> 2.28.1-3.mga2
+ Revision: 109543
- Add provides

* Sat Jan 22 2011 blino <blino> 2.28.1-2.mga1
+ Revision: 32674
- imported package gnome-python

